Subject: RE: Setup, Win98, Install :-(
From: "Rick Kane" <[email-masked]>
To: <[email-masked]>
Cc: "Rick Kane" <[email-masked]>
Date: Wed, 16 Apr 2003 13:44:27 -0400

It did not seem possible to do a cygcheck -v -r -s > cygcheck.out since the
install did not complete.  However, the same installation on a Win2k machine
yields the attached

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of Rick Kane
> Sent: Wednesday, April 16, 2003 1:30 PM
> To: [email-masked]
> Subject: Setup, Win98, Install :-(
>
>
> I've tried to read the archives but haven't found anything that seems to
> already address the following problem.
>
> We have a bunch of Win98 machines that have had many versions of Cygwin
> placed on them, dating back to pretty much 1998.  We have found that we
> can't seem to install on them anymore.
>
> We have tried installing from the net and installing from a local package
> (typically downloaded from the net into a package folder using a non-Win98
> machine).
>
> I've tried setup 2.340.2.5 and 2.249.2.10
>
> I'll describe what happened with a local directory install using 2.340.2.5
> because that local package sucessfully installed on a Windows 2k machine.
>
> 1. On the "choose a download source" screen we select the bottom option
> "install from local directory"
>
> The first hint that things aren't quite correct is that it takes a bit for
> the "Select Root Install Directory" screen to appear.  By contrast this
> screen came up right away on the Win2k machine (which has a slower CPU!)
>
> 2. On the "Select Root Install Directory" screen we choose c:\   (which we
> started using years ago and continue to use for historical purposes)  We
> choose "Install for All Users"  and DOS as the "Default Text File Type"
>
> 3. We say Yes to the warning about installing at c:\
>
> 4. We select the local package directory (c:\dist\cygwin_041403).
>
> 5. We wait a really long time for the "Select Packages" Screen to come up.
> It finally comes up. (By contrast, the Win2k installation brought
> this right
> up)
>
> 6. Selecting packages seems to take about 10-15 seconds to update
> for every
> package one selects. (By contrast it is virtually immediate on the Win2k
> install)
>
> 7. Once all packages have been selected the "Progress" screen
> comes up.  It
> takes it a very long time (several minutes) to show the current disk
> utilization (around 43% if one cares).  It never shows any progress in the
> "Progress" and "Total" lines at all.  I even went to lunch and
> came back and
> it was still hung there.  A Win98 ctl-alt-del show the task
> dialog with "Not
> Responding" next to the Setup app.
>
> The above steps can be repeated on 3 Win98 machines. They repeat about the
> same way with net installs. The result is also the same if I run
> regedit to
> remove all of the Cynus Solution entries in the registry and remove /bin
> /usr/ /etc /var and /lib before running setup.  On one of those machines I
> upgraded to Win2K and the exact same setup and package installed
> immediately.  I would rather not upgrade all of these machines though...
>
> If anyone can offer a suggestion, please do so.
>
> Note1: Virus checking is off
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/